On 20 Mar, Chris H wrote:
> I'm not sure which of the two lists I'm directing
> this to is the best/correct one. So I picked both.
> To the point; I received this message during a big
> build session. I was only able to catch the one from
> x11/nvidia-driver in such a way as to actually get
> the entire message:
> Installing nvidia-driver-375.26_1...
> ELF binary type "3" not known.
> /bin/sh: /compat/linux/sbin/ldconfig: Exec format error
> I built && installed emulators/linux_base-c7 *prior*
> to installing this. This is on a:
> FreeBSD 12.0-CURRENT FreeBSD 12.0-CURRENT #0 r314700:
> Sun Mar 5 09:01:30 PST 2017 amd64
> Should I anticipate any problems? All and all, it seems
> to work. But are there going to be some subtle repercussions?
> Is this a 32bit-v-64bit problem with linux_base || the nvidia
> blob?

You should have these kernel modules loaded:

%kldstat | grep linux
 5    1 0xffffffff82643000 ac488    linux.ko
 6    4 0xffffffff826f0000 e5d0     linux_common.ko
 7    1 0xffffffff826ff000 99bb8    linux64.ko

They will get loaded on boot if you have this in /boot/loader.conf:


freebsd-current@freebsd.org mailing list
To unsubscribe, send any mail to "freebsd-current-unsubscr...@freebsd.org"

Reply via email to